#!/bin/bash
echo 'Content-type: text/html'
echo ''
echo '<!DOCTYPE HTML>'
echo '<html>'
echo '<head>'
echo '<meta charset="utf-8">'
echo '<title>florapack - Etiketten, Verpackungen und Werbematerialien für den Gartenbau |</title>'
echo '<meta name="google-site-verification" content="fu1CQAnYCQtvwejLmm8Jrk1Iqzs1thnTIIPa8BmPhLo" />'
echo '<link rel="shortcut icon" href="../favicon.ico" >'
echo '<link href="../css/florapack.css" rel="stylesheet" type="text/css">'
echo '<link rel="stylesheet" href="../css/nav.css" type="text/css">'
echo '<script src="../css/nav.js" type="text/javascript"></script>'
echo '<link rel="stylesheet" href="../css/slider.css" type="text/css">'
echo '<script src="../css/slider.js" type="text/javascript"></script>'
echo '<script type="text/javascript">'

echo '  var _gaq = _gaq || [];'
echo '  _gaq.push(["_setAccount", "UA-26576326-1"]);'
echo '  _gaq.push(["_trackPageview"]);'
echo '  _gaq.push(["_gat._anonymizeIp"]);'

echo '  (function() {'
echo '    var ga = document.createElement("script"); ga.type = "text/javascript"; ga.async = true;'
echo '    ga.src = ("https:" == document.location.protocol ? "https://ssl" : "http://www") + ".google-analytics.com/ga.js";'
echo '    var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(ga, s);'
echo '  })();'

echo '</script>'
echo '</head>'

echo '<body>'
echo '<div id="background">'
echo '  <div id="center">'
echo '    <div id="header">'
echo '      <div id="logo"><img src="../images/logo_florapack.png" width="300" height="60" alt="Logo florapack.eu"></div>'
echo '      <div id="metanav">'
echo '        <div align="right"><img src="../images/flag_german.png" alt="Sprachwahl Deutsch" width="15" height="12" hspace="0" /><a href="http://www.florapack.nl/index.html"><img src="../images/flag_dutch.png" alt="Sprachwahl Niederländisch" width="15" height="12" hspace="10" border="0" /></a><a href="formulare/kontakt.php">KONTAKT | </a><a href="impressum.html">IMPRESSUM</a></div>'
echo '      </div>'
echo '    </div>'
echo '    <div id="navigation">'
echo '      <div class="AJXCSSMenuFaNeVAB"><!-- AJXFILE:css/nav.css -->'
echo '        <div class="ajxmw">'
echo '          <div class="ajxmw2">'
echo '            <ul class="sub">'
echo '              <li><a  href="beton.cgi">Beton</a>'
echo '              </li>'
echo '              <li><a  href="koerbe.cgi">Körbe</a>'
echo '              </li>'
echo '              <li><a  href="keramik.cgi">Keramik</a>'
echo '              </li>'
echo '              <li><a  href="holz.cgi">Holz</a>'
echo '              </li>'
echo '              <li><a  href="glas.cgi">Glas</a>'
echo '              </li>'
echo '              <li><a  href="metall.cgi">Metall</a>'
echo '              </li>'
echo '              <li><a  href="beistecker.cgi">Beistecker</a>'
echo '              </li>'
echo '	      	    <li><a  href="sonstiges.cgi">Sonstiges</a>'
echo '              </li>'
echo '            </ul>'
echo '          </div>'
echo '        </div>'
echo '        <br >'
echo '      </div>'
echo '    </div>'
echo '<div class="artikel">'
echo '<table align="center">'
IFS="
"

zaehler=1
for i in $(ls -t pictures);do
	SQL="SELECT artikelnr FROM artikel WHERE artikelnr=\"$(echo $i |awk -F '.' '{print $1}'|awk -F '_' '{print $2}')\";"
        CONNAB=$(mysql -B -h 127.0.0.1 --user=c2artikel --password=aBOutE5G_3d c2artikel -e "$SQL")
        if [ "$CONNAB" == "" ]
                then
                INS="INSERT INTO artikel SET artikelnr=\"$(echo $i |awk -F '.' '{print $1}'|awk -F '_' '{print $2}')\", kategorie=\"$(echo $i |awk -F '.' '{print $1}'|awk -F '_' '{print $1}')\";"
                CONNIN=$(mysql -B -h 127.0.0.1 --user=c2artikel --password=aBOutE5G_3d c2artikel -e "$INS")
        fi
        CAT="SELECT kategorie FROM artikel WHERE artikelnr=\"$(echo $i |awk -F '.' '{print $1}'|awk -F '_' '{print $2}')\";"
	CONNCAT==$(mysql -B -h 127.0.0.1 --user=c2artikel --password=aBOutE5G_3d c2artikel -e "$CAT")
	kategorie=$(echo $CONNCAT| awk -F ' ' '{print $2}')
	if [ "$kategorie" -eq "5" ]
		then
		if [ "$zaehler" -eq "1" ]
       			then
			echo '<tr><td>'
			echo '<figure style="display: table-cell; padding: 0 4px; text-align: center;">'
			echo "<a target=\"_blank\" href=\"artikel_einzel.cgi?name=$i\">"
			echo "<img src=\"pictures/$i\" alt=\"$i\">"
			echo "</a>"
			echo "<figcaption>$(echo $i|awk -F '.' '{print $1}'|awk -F '_' '{print $2}')</figcaption>"
			echo '</figure>'
			echo '</td>'
		fi
		if [ "$zaehler" -eq "2" ]
               		then
                       	echo '<td>'
                       	echo '<figure style="display: table-cell; padding: 0 4px; text-align: center;">'
                       	echo "<a target=\"_blank\" href=\"artikel_einzel.cgi?name=$i\">"
                       	echo "<img src=\"pictures/$i\" alt=\"$i\">"
                       	echo "</a>"
                       	echo "<figcaption>$(echo $i|awk -F '.' '{print $1}'|awk -F '_' '{print $2}')</figcaption>"
                       	echo '</figure>'
			echo '</td>'
               	fi
		if [ "$zaehler" -eq "3" ]
               		then
                       	echo '<td>'
                       	echo '<figure style="display: table-cell; padding: 0 4px; text-align: center;">'
                       	echo "<a target=\"_blank\" href=\"artikel_einzel.cgi?name=$i\">"
                       	echo "<img src=\"pictures/$i\" alt=\"$i\">"
                       	echo "</a>"
                       	echo "<figcaption>$(echo $i|awk -F '.' '{print $1}'|awk -F '_' '{print $2}')</figcaption>"
                       	echo '</figure>'
			echo '</td></tr>'
			zaehler=0
               	fi
		zaehler=$(( $zaehler + 1 ))
	fi
	done
echo '</table>'
echo '</div>'
echo '    <div id="footer">'
echo '      <hr>'
echo '      <div class="footer_content">'
echo '        <h3>Nützliche Links:</h3>'
echo '        <li><a href="http://www.pflanzen-pflegetipps.de" target="_blank">Pflanzen-Pflegetipps</a></li>'
echo '        <br>'
echo '      </div>'
echo '      <div class="footer_content">'
echo '        <h3>Informiert bleiben: </h3>'
echo '        <li><a href="http://www.facebook.com/florapack" target="_blank">Facebook</a></li>'
echo '      </div>'
echo '      <div class="footer_content">'
echo '        <h3>Unternehmen:</h3>'
echo '        <li><a href="impressum.html">Impressum</a></li>'
echo '        <li><a href="datenschutz.html">Datenschutzerklärung</a></li>'
echo '        <li><a href="formulare/kontakt.php">Kontakt</a></li>'
echo '        <li><a href="firmenprofil.html">Firmenprofil</a></li>'
echo '      </div>'
echo '    </div>'
echo '  </div>'
echo '</div>'
echo '</body>'
echo '</html>'
